#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_conditional_add_subdirectory( WITH_FLAC flac )
add_subdirectory( lame )
tde_conditional_add_subdirectory( WITH_VORBIS vorbis )
add_subdirectory( wav )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkcddb
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### audiocdplugins (library) ##################

tde_add_library( audiocdplugins SHARED
  SOURCES audiocdencoder.cpp
  VERSION 1.0.0
  LINK
    tdecore-shared kcddb-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data ################################

install( FILES audiocdencoder.h DESTINATION ${INCLUDE_INSTALL_DIR} )
